package com.heyu.api.data.entity.vv;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.lz.mybatis.plugin.annotations.AS;

import java.math.BigDecimal;
import java.util.Date;import java.util.Date;
/**
*购物车
* @author quyixiao
* @since 2025-12-03
*/

@Data
@TableName("vv_shopping_cart")
public class VvShoppingCartEntity implements java.io.Serializable {
private static final long serialVersionUID = 1L;

    public final static String CLASS_NAME ="com.heyu.api.data.entity.vv.VvShoppingCartEntity:";

    public final static String all = CLASS_NAME + "*";
    public final static String id_ = CLASS_NAME + "id";                                           // 
    public final static String is_delete = CLASS_NAME + "is_delete";                              // 是否删除：0 否 1 删除
    public final static String create_time = CLASS_NAME + "create_time";                          // 创建时间
    public final static String modify_time = CLASS_NAME + "modify_time";                          // 修改时间
    public final static String product_name = CLASS_NAME + "product_name";                        // 商品标题
    public final static String sku_info = CLASS_NAME + "sku_info";                                // 属性信息json
    public final static String single_price = CLASS_NAME + "single_price";                        // 单价
    public final static String num_ = CLASS_NAME + "num";                                         // 数量
    public final static String buyer_phone = CLASS_NAME + "buyer_phone";                          // 买家手机号
    public final static String buyer_name = CLASS_NAME + "buyer_name";                            // 买家名
    public final static String buyer_weixin = CLASS_NAME + "buyer_weixin";                        // 买家微信
    public final static String all_price = CLASS_NAME + "all_price";                              // 总价
    public final static String buyer_id = CLASS_NAME + "buyer_id";                                // 买家id
    public final static String sku_id = CLASS_NAME + "sku_id";                                    // sku_id
    public final static String product_id = CLASS_NAME + "product_id";                            // 商品id
    public final static String single_discount_amount = CLASS_NAME + "single_discount_amount";    // 单比折扣价
    public final static String all_discount_amount = CLASS_NAME + "all_discount_amount";          // 总折扣价
    public final static String activity_info = CLASS_NAME + "activity_info";                      // 活动信息
    public final static String image_url = CLASS_NAME + "image_url";                              // 图片
    //
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除：0 否 1 删除
    private Integer isDelete;
    //创建时间
    private Date createTime;
    //修改时间
    private Date modifyTime;
    //商品标题
    private String productName;
    //属性信息json
    private String skuInfo;
    //单价
    private BigDecimal singlePrice;
    //数量
    private Integer num;
    //买家手机号
    private String buyerPhone;
    //买家名
    private String buyerName;
    //买家微信
    private String buyerWeixin;
    //总价
    private BigDecimal allPrice;
    //买家id
    private Long buyerId;
    //sku_id
    private Long skuId;
    //商品id
    private Long productId;
    //单比折扣价
    private BigDecimal singleDiscountAmount;
    //总折扣价
    private BigDecimal allDiscountAmount;
    //活动信息
    private String activityInfo;
    //图片
    private String imageUrl;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除：0 否 1 删除 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除：0 否 1 删除 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 创建时间 
     * @param createTime
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改时间 
     * @return
     */
    public Date getModifyTime() {
        return modifyTime;
    }
    /**
     * 修改时间 
     * @param modifyTime
     */
    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    /**
     * 商品标题 
     * @return
     */
    public String getProductName() {
        return productName;
    }
    /**
     * 商品标题 
     * @param productName
     */
    public void setProductName(String productName) {
        this.productName = productName;
    }

    /**
     * 属性信息json 
     * @return
     */
    public String getSkuInfo() {
        return skuInfo;
    }
    /**
     * 属性信息json 
     * @param skuInfo
     */
    public void setSkuInfo(String skuInfo) {
        this.skuInfo = skuInfo;
    }

    /**
     * 单价 
     * @return
     */
    public BigDecimal getSinglePrice() {
        return singlePrice;
    }
    /**
     * 单价 
     * @param singlePrice
     */
    public void setSinglePrice(BigDecimal singlePrice) {
        this.singlePrice = singlePrice;
    }

    /**
     * 数量 
     * @return
     */
    public Integer getNum() {
        return num;
    }
    /**
     * 数量 
     * @param num
     */
    public void setNum(Integer num) {
        this.num = num;
    }

    /**
     * 买家手机号 
     * @return
     */
    public String getBuyerPhone() {
        return buyerPhone;
    }
    /**
     * 买家手机号 
     * @param buyerPhone
     */
    public void setBuyerPhone(String buyerPhone) {
        this.buyerPhone = buyerPhone;
    }

    /**
     * 买家名 
     * @return
     */
    public String getBuyerName() {
        return buyerName;
    }
    /**
     * 买家名 
     * @param buyerName
     */
    public void setBuyerName(String buyerName) {
        this.buyerName = buyerName;
    }

    /**
     * 买家微信 
     * @return
     */
    public String getBuyerWeixin() {
        return buyerWeixin;
    }
    /**
     * 买家微信 
     * @param buyerWeixin
     */
    public void setBuyerWeixin(String buyerWeixin) {
        this.buyerWeixin = buyerWeixin;
    }

    /**
     * 总价 
     * @return
     */
    public BigDecimal getAllPrice() {
        return allPrice;
    }
    /**
     * 总价 
     * @param allPrice
     */
    public void setAllPrice(BigDecimal allPrice) {
        this.allPrice = allPrice;
    }

    /**
     * 买家id 
     * @return
     */
    public Long getBuyerId() {
        return buyerId;
    }
    /**
     * 买家id 
     * @param buyerId
     */
    public void setBuyerId(Long buyerId) {
        this.buyerId = buyerId;
    }

    /**
     * sku_id 
     * @return
     */
    public Long getSkuId() {
        return skuId;
    }
    /**
     * sku_id 
     * @param skuId
     */
    public void setSkuId(Long skuId) {
        this.skuId = skuId;
    }

    /**
     * 商品id 
     * @return
     */
    public Long getProductId() {
        return productId;
    }
    /**
     * 商品id 
     * @param productId
     */
    public void setProductId(Long productId) {
        this.productId = productId;
    }

    /**
     * 单比折扣价 
     * @return
     */
    public BigDecimal getSingleDiscountAmount() {
        return singleDiscountAmount;
    }
    /**
     * 单比折扣价 
     * @param singleDiscountAmount
     */
    public void setSingleDiscountAmount(BigDecimal singleDiscountAmount) {
        this.singleDiscountAmount = singleDiscountAmount;
    }

    /**
     * 总折扣价 
     * @return
     */
    public BigDecimal getAllDiscountAmount() {
        return allDiscountAmount;
    }
    /**
     * 总折扣价 
     * @param allDiscountAmount
     */
    public void setAllDiscountAmount(BigDecimal allDiscountAmount) {
        this.allDiscountAmount = allDiscountAmount;
    }

    /**
     * 活动信息 
     * @return
     */
    public String getActivityInfo() {
        return activityInfo;
    }
    /**
     * 活动信息 
     * @param activityInfo
     */
    public void setActivityInfo(String activityInfo) {
        this.activityInfo = activityInfo;
    }

    /**
     * 图片 
     * @return
     */
    public String getImageUrl() {
        return imageUrl;
    }
    /**
     * 图片 
     * @param imageUrl
     */
    public void setImageUrl(String imageUrl) {
        this.imageUrl = imageUrl;
    }

    @Override
    public String toString() {
        return "VvShoppingCartEntity{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",createTime=" + createTime +
                ",modifyTime=" + modifyTime +
                ",productName=" + productName +
                ",skuInfo=" + skuInfo +
                ",singlePrice=" + singlePrice +
                ",num=" + num +
                ",buyerPhone=" + buyerPhone +
                ",buyerName=" + buyerName +
                ",buyerWeixin=" + buyerWeixin +
                ",allPrice=" + allPrice +
                ",buyerId=" + buyerId +
                ",skuId=" + skuId +
                ",productId=" + productId +
                ",singleDiscountAmount=" + singleDiscountAmount +
                ",allDiscountAmount=" + allDiscountAmount +
                ",activityInfo=" + activityInfo +
                ",imageUrl=" + imageUrl +
                "}";
    }
}